[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New Package: konversation



On Mon, 27 Jun 2005 10:00:49 -0500 (CDT), Dennis Gilmore wrote:

> http://www.ausil.us/packages/konversation-0.18-1.fc4.src.rpm

Unowned directory:

  /usr/share/apps/konversation/

The following one seems to be unowned in kdebase:

  /usr/share/config.kcfg/

Who files a bug about that?

> > 1.  Move make -f admin/Makefile.common to %prep section
> > 2.  Because of the 'make -f admin/Makefile.common' you need:
> > BuildRequires: autoconf >= 2.53
> > BuildRequires: automake17

I would get rid of all this and these build requirements and patch out
the GCC4-blacklisting directly in "configure".

See attachment.

In /usr/share/applications/kde/konversation.desktop 
>
> Categories=Qt;KDE;Network;X-SuSE-IRCClient;

? :)  To stay consistent with how we do it with other packages,
please reinstall this with desktop-file-install --delete-original as
file fedora-konversation.desktop with category X-Fedora added.

* In order to make the "Help" menu work, "Requires: kdebase" is
necessary. KDE users will have that anyway, users of GNOME and
other desktops/wms would see an ugly error dialog without it.

* SSL support is not built in. Intentional?

* Rest looks good.

-- 
Michael Schwendt <mschwendt users sf net>
Fedora Core release 4 (Stentz) - Linux 2.6.11-1.1369_FC4
loadavg: 1.37 1.16 1.13

Attachment: kdegcc4.patch
Description: Binary data


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]